# Class PageNumberTypeAttributes

#### Hierarchy

- XmlAttributeComponent < IPageNumberTypeAttributes >
  - PageNumberTypeAttributes

- Defined in file/document/body/section-properties/properties/page-number.ts:40

#####
Index

### Constructors

constructor

### Methods

prepForXml

## Constructors

### constructor

- new PageNumberTypeAttributes(root): PageNumberTypeAttributes

- #### Parameters

  - ##### root: IPageNumberTypeAttributes

  #### Returns PageNumberTypeAttributes

  Inherited from XmlAttributeComponent.constructor

  - Defined in file/xml-components/default-attributes.ts:12

## Methods

### prepForXml

- prepForXml(_): IXmlableObject

- #### Parameters

  - ##### _: IContext

  #### Returns IXmlableObject

  Inherited from XmlAttributeComponent.prepForXml

  - Defined in file/xml-components/default-attributes.ts:16

Generated using TypeDoc